public class JavaTimeCheck2
{
  public static void main( String[] args )
  {
    MyOverloadedTimeClass t1 = new MyOverloadedTimeClass(); // 00:00:00
    MyOverloadedTimeClass t2 = new MyOverloadedTimeClass( 1 ); // 01:00:00
    MyOverloadedTimeClass t3 = new MyOverloadedTimeClass( 16, 25 ); // 16:25:00
    MyOverloadedTimeClass t4 = new MyOverloadedTimeClass( 22, 45, 44 ); // 22:45:44
    MyOverloadedTimeClass t5 = new MyOverloadedTimeClass( t4 ); // 22:45:44

    System.out.println( "Constructed with:" );
    System.out.println( "t1: all arguments defaulted" );
    System.out.printf( " %s\n", t1.toUniversalString() );
    System.out.printf( " %s\n", t1.toString() );

    System.out.println( "t2: hour specified; minute and second defaulted" );
    System.out.printf( " %s\n", t2.toUniversalString() );
    System.out.printf( " %s\n", t2.toString() );
  
    System.out.println( "t3: hour and minute specified; second defaulted" );
    System.out.printf( " %s\n", t3.toUniversalString() );
    System.out.printf( " %s\n", t3.toString() );
  
    System.out.println( "t4: hour, minute and second specified" );
    System.out.printf( " %s\n", t4.toUniversalString() );
    System.out.printf( " %s\n", t4.toString() );
  
    System.out.println( "t5: MyOverloadedTimeClass object t4 specified" );
    System.out.printf( " %s\n", t5.toUniversalString() );
    System.out.printf( " %s\n", t5.toString() );
  
    // attempt to initialize t6 with invalid values
    try
    {
       MyOverloadedTimeClass t6 = new MyOverloadedTimeClass( 35, 90, 85 ); // invalid values
    } 
    catch ( IllegalArgumentException e )
    {
      System.out.printf( "\nException while initializing t6: %s\n",
      e.getMessage() );
    } // end catch
	
  } // end main
} // end class MyOverloadedTimeClassTest
