interface CanFight 
{
  void fight();
}

interface CanSwim 
{
  void swim();
}

interface CanFly 
{
  void fly();
}

class ActionCharacter 
{
  public void fight() 
  { 
    System.out.println("ActionCharacter.fight()");
  }
}

class Hero extends ActionCharacter implements CanFight, CanSwim, CanFly 
{
  public void swim() { System.out.println("ActionCharacter.swim()"); }
  public void fly()  { System.out.println("ActionCharacter.fly()");  }
}

public class Adventure 
{
  public static void t(CanFight x) 
  {  x.fight(); }
  public static void u(CanSwim x) 
  {  x.swim(); }
  public static void v(CanFly x) 
  { x.fly(); }
  public static void w(ActionCharacter x) 
  { x.fight(); }
  
  public static void main(String[] args) 
  {
    Hero h = new Hero();
    System.out.println("new Hero created.");
    t(h); // Treat it as a CanFight
    System.out.println("t(h) executed.Treat it as a CanFight");
    u(h); // Treat it as a CanSwim
    System.out.println("u(h) executed.Treat it as a CanSwim");
    v(h); // Treat it as a CanFly
    System.out.println("v(h) executed.Treat it as a CanFly");
    w(h); // Treat it as an ActionCharacter
    System.out.println("w(h) executed.Treat it as a ActionCharacter");

  }

} 