
import java.text.DecimalFormat;  //      


public class MyTimeClass extends Object
{
  private int hour;
  private int minute;
  private int second;
  private static int count = 0; //O       

  
  public MyTimeClass()
  {
    setTime(0,0,0);
    ++count; //  
  }


  public void setTime(int h,int m, int s)
  {
     hour = ( ( h >= 0 && h < 24) ? h : 0 );
     minute = ( ( m >= 0 && m < 60) ? m : 0 );
     second = ( ( s >= 0 && s < 60) ? s : 0 );

  }


  public String getPlainTime()
  {
    DecimalFormat twoDigits = new DecimalFormat("00");

    return twoDigits.format(hour) + ":" + 
           twoDigits.format(minute) + ":" + 
           twoDigits.format(second);
  }


  public String getTime()
  {
    DecimalFormat twoDigits = new DecimalFormat("00");

    return ( (hour == 12 || hour == 0) ? 12 : hour % 12 ) + 
            ":" + twoDigits.format(minute) + 
            ":" + twoDigits.format(second) +
             ( hour < 12  ? " AM" : " PM" );
  }

  public static int getObjectCount()
  {
    return count; 
  }

}
